Package twisted :: Package protocols :: Module portforward :: Class ProxyClient |
[frames | no frames]

## Class ProxyClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
                   Proxy --+
                           |
                          ProxyClient

Method Summary
| ``connectionMade`(self)` Called when a connection is made.
Inherited from Proxy
| ``connectionLost`(self, reason)`
| ``dataReceived`(self, data)` Called whenever data is received.
| ``setPeer`(self, peer)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from Proxy
`str` | `buf` = `''`
`NoneType` | `peer` = None
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net